
#calculate{
    width: 50%;
    margin-left:auto;
    margin-right: auto;
    background-color: #2222AA;
    color:white;
}


.content {
    color: #333;
    font-size: 24px;
}

.annuity-equation {
    margin-top: 0px;
    margin-bottom: 0px;
    padding:0px;
    font-size: 48px;
    color: #000;
}

#nError, #iError {
    color: red;

}

.input-container {
    margin-bottom: -10px;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-left: auto;
    margin-right: auto;
    max-width: 70%;
}

.input-container label {
    margin-right: 10px;
    font-size: 18px;
}

.input-container input {
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    outline: none;
    flex: 1;
    font-size: 18px;
}

/* Disable input arrows */
input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Style input number fields */
.input-container input[type="number"] {
    margin-right: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
    outline: none;
    flex: 1;
    font-size: 18px;
    appearance: textfield; /* Firefox appearance fix */
    max-width: 15%;
}
#nError{
    width: 100%;
}
#iError{
    width: 100%;
}
#splitPaymentsCheckbox {
    border: 1px solid #ccc;
    border-radius: 5px;
    width: 30px;
    height: 30px;
    margin-top: 5px;
    margin-right: auto;
    position: relative;
    top: 10px;
    margin-bottom: 20px;
}



.toggle-button-container {
    display: flex;
    align-items: center;
    margin-top: 15px;
    
}
.toggle-buttons-parent{
    max-width: 70%;
    margin-left: auto;
    margin-right: auto;
    padding-top: 5px;
}
.toggle-button {
    background-color: #f0f0f0;
    border: none;
    color: #333;
    padding: 10px 20px;
    border-radius: 5px;
    margin-right: 10px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.2s;
}

.toggle-button:hover {
    background-color: #ddd;
}

.toggle-button.active-dots, .toggle-button.active-notation, .toggle-button.active-increasing{
    background-color: #333;
    color: white;
}

.output-container {
    margin-bottom: -55px;
    margin-top: 25px;
    font-size: 20px;
    color: #555;

}


#notation-output{
    color: black;
    margin-top: -20px;
}


/* Reset some default styles */
html, body, h1, h2, h3, p {
    margin: 0;
    padding: 0;
    font-family: 'Helvetica Neue', sans-serif;
    color: #222;
}

h1{
    font-weight: bold;
    text-align: center;
    margin-bottom: -30px;
}

/* Set a background color */
body {
    overflow-wrap: anywhere;
    
}

h2 ,h3{
    margin-top: 20px;
    margin-bottom: 8px;
}

h2 a{
    color:#a1a1a1;
    text-decoration: underline;    
}
/* Define common styles for headings */
.title {
      padding:0;
        font-size: 32px;
        font-family: 'PT Serif', serif;
        margin-top: 20px;

}
.calculator-info{
    margin:0;
    padding: 0;
}
.blogTitle a{
    color:#333;
    margin:0;
}

.blogProperty{
    color:#666;
    padding: 2px 0;
}

/* Style specific headings */
h1 {
    font-size: 32px;
}

h2 {
    font-size: 22px;
}

h3 {
    font-size: 18px;
}

/* Define the main container */
#calc_container {
    max-width: 700px;
    
    margin: 0 auto;
    padding: 40px;
    padding-top: 0px;
    
}

#result{
    color:rgb(0, 18, 118);
    font-size: 26px;
    font-family: sans-serif;
    margin-top: -40px;
    font-weight: bold;
    margin-left:auto;
    margin-right: auto;
}



/* Style paragraphs and list items */
p, li {
    font-family: Roboto, Arial, sans-serif;
    font-size: 16px;
    color: #222;
    line-height: 1.35;
    padding: 8px 0;
}



a:hover {
    text-decoration: underline;
}

/* Styles for header, title, and date */
header {
    background-color: #FFF;
    padding: 0;
    padding: 10px 0px;
    border-bottom: 1px solid gray;
    background-color: #f4f4f4;
    position: sticky;
    top: 0;
    left:0;
    vertical-align: middle;
    user-select: none;
    z-index: 1;
}

header img{
    vertical-align: middle;
   user-select: none;

}
.header-content {
    max-width: 700px;
    margin: 0 auto;
    padding: 0 40px;
}

header h1 {
    font-size: 20px;
    display: inline;
    margin-right: 36px;
}

header a{
    
    margin-right:20px;
}



.blogPost{
    padding:0;
    margin:0;
}

/* Additional CSS to style the thumbnail and calculator info */
.calculator {
    display: flex;
    align-items: center; /* Center vertically within the flex container */
}

.thumbnail {
    width: 50px; /* Adjust the width as needed */
    position: relative;
    top:0;
    margin-right: 20px; /* Add spacing between the thumbnail and info */
}

.calculator-info {
    width: 100%;
}

hr{
    margin-top: 8px;
    margin-bottom: 8px;
    color:#CCC;
}
/* Responsive design for smaller screens */
@media (max-width: 600px) {
  .calculator img{
    display: none;
  }
  .title{
    font-size: 28px;
  }
.input-container{
    max-width: 100%;
}
.toggle-buttons-parent{
    max-width: 100%;
}
  #calc_container{
    padding-left: 20px;
    padding-right: 20px;
   }
   .header-content{
    padding-left: 20px;
    padding-right: 20px;
   }
}
